<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classdynamics_1_1_dynamics.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">dynamics.Dynamics Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#ac5fc92fd458d22a56c4fd7ba637523cd">__init__</a>(self, str database, np.array w_initial, np.array euler_init, bool att_random, float sampling_rate, I_xx, I_yy, I_zz, torque_initial, outputs)</td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a6dd84b6876b2e32b51a6235a0e72f02c">att_random</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#ab4818d5ed336e25174eab6462a15f8fa">column_names</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a9d28d56cfbc94a48b6d0e16c3cd132e0">database</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a07615ccdac6640cf687cdbe75b9eee0c">euler_init</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a893adee2eb1149b1da49a3f11476a477">I_xx</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a42879877ef3fa439654a09a52dfab4db">I_yy</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a0369a62b5d73a5d8dbb1cfa974dc6561">I_zz</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a072039c0ca5abcd7d8c294b773586d8b">output</a>(self, float simulated_time)</td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a6da3d358e5c10996cc6b32249ff21f77">outputs</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a9e4e62a7349552123af04a1edb4deac6">sampling_rate</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#ad012f561b828df1a38e0520d88235174">state_derivative</a>(self, state, t, torque, J)</td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#a5c35822b3ecd2168c5702c9fbb354a5e">torque_initial</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html#aaeb52ef5f1b73de08619a7692ef4be67">w_initial</a></td><td class="entry"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
